#ifndef NOTE_FREQUENCIES_H_
#define NOTE_FREQUENCIES_H_
#include "altera_avalon_pio_regs.h"

void playNote(int note, long base) {
switch (note) {
case 0: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x001b); break;
case 1: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x001d); break;
case 2: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x001e); break;
case 3: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0020); break;
case 4: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0022); break;
case 5: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0024); break;
case 6: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0026); break;
case 7: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0029); break;
case 8: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x002b); break;
case 9: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x002e); break;
case 10: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0030); break;
case 11: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0033); break;
case 12: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0037); break;
case 13: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x003a); break;
case 14: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x003d); break;
case 15: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0041); break;
case 16: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0045); break;
case 17: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0049); break;
case 18: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x004d); break;
case 19: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0052); break;
case 20: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0057); break;
case 21: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x005c); break;
case 22: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0061); break;
case 23: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0067); break;
case 24: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x006e); break;
case 25: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0074); break;
case 26: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x007b); break;
case 27: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0082); break;
case 28: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x008a); break;
case 29: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0092); break;
case 30: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x009b); break;
case 31: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x00a4); break;
case 32: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x00ae); break;
case 33: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x00b8); break;
case 34: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x00c3); break;
case 35: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x00cf); break;
case 36: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x00dc); break;
case 37: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x00e9); break;
case 38: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x00f6); break;
case 39: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0105); break;
case 40: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0115); break;
case 41: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0125); break;
case 42: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0137); break;
case 43: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0149); break;
case 44: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x015d); break;
case 45: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0171); break;
case 46: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0187); break;
case 47: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x019f); break;
case 48: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x01b8); break;
case 49: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x01d2); break;
case 50: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x01ed); break;
case 51: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x020b); break;
case 52: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x022a); break;
case 53: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x024b); break;
case 54: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x026e); break;
case 55: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0293); break;
case 56: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x02ba); break;
case 57: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x02e3); break;
case 58: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x030f); break;
case 59: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x033e); break;
case 60: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0370); break;
case 61: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x03a4); break;
case 62: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x03db); break;
case 63: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0417); break;
case 64: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0455); break;
case 65: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0527); break;
case 66: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0575); break;
case 67: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x05c8); break;
case 68: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0620); break;
case 69: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x067d); break;
case 70: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x06e0); break;
case 71: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0749); break;
case 72: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x082d); break;
case 73: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x08aa); break;
case 74: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x092d); break;
case 75: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x09b9); break;
case 76: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0a4d); break;
case 77: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0ae9); break;
case 78: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0b90); break;
case 79: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0c40); break;
case 80: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0cfa); break;
case 81: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0dc0); break;
case 82: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0e91); break;
case 83: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x0f6f); break;
default: IOWR_ALTERA_AVALON_PIO_DATA(base, 0x105a); break;
}
}
#endif /*NOTE_FREQUENCIES_H_*/
